package hopp

// Error enumerates common errors in this package.
type Error string; const (
	ErrWrongMessageLength Error = "wrong message length"
	ErrUnknownMethod      Error = "unknown method"
	ErrPayloadTooLarge    Error = "payload too large"
	ErrUnknownNetwork     Error = "unknown network"
)

// Error implements the error interface.
func (err Error) Error() string {
	return string(err)
}
